# Uses of Interface
org.jmol.api.JmolSyncInterface

Packages that use JmolSyncInterface
Package
Description
jspecview.application
org.jmol.api
org.jmol.appletjs
org.jmol.util
org.openscience.jmol.app.status

## Uses of JmolSyncInterface in jspecview.application

Classes in jspecview.application that implement JmolSyncInterface
Modifier and Type
Class
Description
`class`
`JSpecView`
The Main Class or Entry point of the JSpecView Application.
Fields in jspecview.application declared as JmolSyncInterface
Modifier and Type
Field
Description
`JmolSyncInterface`
JSpecView.`jmol`
Methods in jspecview.application with parameters of type JmolSyncInterface
Modifier and Type
Method
Description
`void`
JSpecView.`register(String appletID, JmolSyncInterface jmolStatusListener)`
called by Jmol's StatusListener to register itself, indicating to JSpecView that it needs to synchronize with it

## Uses of JmolSyncInterface in org.jmol.api

Subinterfaces of JmolSyncInterface in org.jmol.api
Modifier and Type
Interface
Description
`interface`
`JmolAppletInterface`
This is the API of methods that are available to JavaScript via LiveConnect to the Jmol applet.
Methods in org.jmol.api with parameters of type JmolSyncInterface
Modifier and Type
Method
Description
`void`
JmolSyncInterface.`register(String id, JmolSyncInterface jsi)`

## Uses of JmolSyncInterface in org.jmol.appletjs

Classes in org.jmol.appletjs that implement JmolSyncInterface
Modifier and Type
Class
Description
`class`
`Jmol`
Java2Script rendition of Jmol using HTML5-only or WebGL-based graphics

## Uses of JmolSyncInterface in org.jmol.util

Classes in org.jmol.util that implement JmolSyncInterface
Modifier and Type
Class
Description
`class`
`GenericApplet`
A collection of all methods necessary for initialization of and communication with the applet.
Methods in org.jmol.util with parameters of type JmolSyncInterface
Modifier and Type
Method
Description
`void`
GenericApplet.`register(String id, JmolSyncInterface jsi)`
////// JmolSyncInterface //////////

## Uses of JmolSyncInterface in org.openscience.jmol.app.status

Classes in org.openscience.jmol.app.status that implement JmolSyncInterface
Modifier and Type
Class
Description
`class`
`StatusListener`
Methods in org.openscience.jmol.app.status with parameters of type JmolSyncInterface
Modifier and Type
Method
Description
`void`
StatusListener.`register(String id, JmolSyncInterface jsi)`